Debian Bug report logs - #716075
[Mayhem] Bug report on html-xml-utils: hxnum crashes with exit status 139

version graph

Package: html-xml-utils; Maintainer for html-xml-utils is Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>; Source for html-xml-utils is src:html-xml-utils.

Reported by: Alexandre Rebert <alexandre@cmu.edu>

Date: Wed, 10 Jul 2013 19:30:20 UTC

Severity: normal

Found in version html-xml-utils/6.4-1

Fixed in version html-xml-utils/6.5-1

Done: Daniel Leidert <dleidert@debian.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#716075; Package html-xml-utils. (Wed, 10 Jul 2013 19:30:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Rebert <alexandre@cmu.edu>:
New Bug report received and forwarded. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Wed, 10 Jul 2013 19:30:24 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Alexandre Rebert <alexandre@cmu.edu>
To: Debian Bug Tracking System: <maintonly@bugs.debian.org>
Subject: [Mayhem] Bug report on html-xml-utils: hxnum crashes with exit status 139
Date: Wed, 10 Jul 2013 15:15:39 -0400
[Message part 1 (text/plain, inline)]
Package: html-xml-utils
Version: 6.4-1
Severity: normal
User: mayhem@forallsecure.com
Usertags: mayhem

hxnum crashes with exit status 139. We confirmed the crash by
re-running it in a fresh debian unstable installation.

The attachment [1] contains a testcase (under ./crash) crashing the
program. It ensures that you can easily reproduce the bug. Additionally,
under ./crash_info/, we include more information about the crash such as
a core dump, the dmesg generated by the crash, and its output.

Regards,
The Mayhem Team (Alexandre Rebert, Thanassis Avgerinos, Sang Kil Cha, David Brumley, Manuel Egele)
Cylab, Carnegie Mellon University

[1] http://www.forallsecure.com/bug-reports/81d20eda9dacb19de23208d77fa5f5a773b1bbea/full_report


-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 3.9-1-686-pae (SMP w/1 CPU core)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages html-xml-utils depends on:
ii  libc6            2.17-6
ii  libcurl3-gnutls  7.31.0-1
ii  perl             5.14.2-21

html-xml-utils recommends no packages.

html-xml-utils suggests no packages.

-- no debconf information
[hxnum-report.tar.bz2 (application/octet-stream, attachment)]

Reply sent to Daniel Leidert <dleidert@debian.org>:
You have taken responsibility. (Sat, 18 Jan 2014 18:21:09 GMT) Full text and rfc822 format available.

Notification sent to Alexandre Rebert <alexandre@cmu.edu>:
Bug acknowledged by developer. (Sat, 18 Jan 2014 18:21:09 GMT) Full text and rfc822 format available.

Message #10 received at 716075-close@bugs.debian.org (full text, mbox):

From: Daniel Leidert <dleidert@debian.org>
To: 716075-close@bugs.debian.org
Subject: Bug#716075: fixed in html-xml-utils 6.5-1
Date: Sat, 18 Jan 2014 18:18:32 +0000
Source: html-xml-utils
Source-Version: 6.5-1

We believe that the bug you reported is fixed in the latest version of
html-xml-utils, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 716075@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Leidert <dleidert@debian.org> (supplier of updated html-xml-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 18 Jan 2014 19:01:08 +0100
Source: html-xml-utils
Binary: html-xml-utils
Architecture: source amd64
Version: 6.5-1
Distribution: unstable
Urgency: low
Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
Changed-By: Daniel Leidert <dleidert@debian.org>
Description: 
 html-xml-utils - HTML and XML manipulation utilities
Closes: 716075 716076 716079 716080 716542
Changes: 
 html-xml-utils (6.5-1) unstable; urgency=low
 .
   * New upstream release.
     - Fixes all crashes reported by the mayhem project
       (closes: #716075, #716076, #716079, #716080, #716542).
   * debian/control (Standards-Version): Bumped to 3.9.5.
     (Vcs-Browser, Vcs-Svn): Fixed vcs-field-not-canonical.
   * debian/copyright: Updated.
Checksums-Sha1: 
 ec0768f14e82f03e05cbc816309805fdbf50ece1 1433 html-xml-utils_6.5-1.dsc
 d7286896066bdc2cd26a01392c971b6dc88f74f5 308632 html-xml-utils_6.5.orig.tar.gz
 53ae02d2dad50cf490e4e7eafea1d3db01059d9d 5056 html-xml-utils_6.5-1.debian.tar.xz
 91f1f6be2751261b864a962b5d1c377fc4309d92 238652 html-xml-utils_6.5-1_amd64.deb
Checksums-Sha256: 
 e39165df389324942ff4fc6cb68f355d39b155477047d903f9a26846bb7d1264 1433 html-xml-utils_6.5-1.dsc
 21e411f7a52281bb006aa0177f0996b832f27a85c00ba126acf98ddc06248c9a 308632 html-xml-utils_6.5.orig.tar.gz
 3fed27c5022958b8f6f3fa2090902abaf8b32a9b9d28354ae672da77f7976f04 5056 html-xml-utils_6.5-1.debian.tar.xz
 ede64322679293ca0711854b6c5f664a9c8fc8b316deab5640f9748a8e642150 238652 html-xml-utils_6.5-1_amd64.deb
Files: 
 b10977d5f56bc1886f6859e59a254d27 1433 text extra html-xml-utils_6.5-1.dsc
 dea2f5f64fa2e27c90fda0d6803ab9d7 308632 text extra html-xml-utils_6.5.orig.tar.gz
 1561b0f0049923ab1312f27007be2838 5056 text extra html-xml-utils_6.5-1.debian.tar.xz
 51b8f240d94c32a98ef1349ca123b60b 238652 text extra html-xml-utils_6.5-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iEYEARECAAYFAlLawtAACgkQm0bx+wiPa4wPbgCeIfFsIJDc5rKcCfwWlsWskqcy
SIgAn05FBq6F67QmMMGWPGMO4nKJ7Rw0
=WImS
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#716075; Package html-xml-utils. (Thu, 03 Apr 2014 10:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Info Desk <br.we196@hotmail.com>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Thu, 03 Apr 2014 10:15:04 GMT) Full text and rfc822 format available.

Message #15 received at 716075@bugs.debian.org (full text, mbox):

From: Info Desk <br.we196@hotmail.com>
Subject: Get back
Date: Thu, 3 Apr 2014 10:13:10 +0000
[Message part 1 (text/plain, inline)]
 		 	   		  
[Message part 2 (text/html, inline)]
[pik9999.jpg (image/jpeg, attachment)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:26:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.